Bindings
Create a new Binding
Creates a binding that associates a service with a port or interface.
Binding Types
- Interface binding: Service is present at an interface (IP address) without a specific port. Used for non-port-bound services like gateways.
- Port binding (specific ip_address): Service listens on a specific port on a specific interface.
- Port binding (all ip_addresses): Service listens on a specific port on all ip_addresses
(
ip_address_id: null).
Validation and Deduplication Rules
- Conflict detection: Interface bindings conflict with port bindings on the same interface. A port binding on all ip_addresses conflicts with any interface binding for the same service.
- All-interfaces precedence: When creating a port binding with
ip_address_id: null, any existing specific-interface bindings for the same port are automatically removed, as they are superseded by the all-interfaces binding.
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Request Body
application/json
ip_address_id*string
The IP address the service is present at.
Format
uuidnetwork_id*string
The network this entity belongs to.
Format
uuidservice_id*string
The service this entity refers to.
Format
uuidtype*string
Value in
"IPAddress"Response Body
application/json
application/json
application/json
curl -X POST "https://app.scanopy.net/api/v1/bindings" \ -H "Content-Type: application/json" \ -d '{ "created_at": "2026-07-29T14:42:00.562853Z", "first_discovery_id": null, "id": "97c83300-7124-432a-86ac-e950d71b34dd", "ip_address_id": "550e8400-e29b-41d4-a716-446655440005", "last_discovery_id": null, "last_seen_at": "2026-07-29T14:42:00.562853Z", "lineage_id": null, "network_id": "550e8400-e29b-41d4-a716-446655440002", "port_id": "550e8400-e29b-41d4-a716-446655440006", "service_id": "550e8400-e29b-41d4-a716-446655440007", "type": "Port", "updated_at": "2026-07-29T14:42:00.562853Z", "valid_from": "2026-07-29T14:42:00.562853Z", "valid_to": null }'{
"meta": {
"api_version": 1,
"server_version": "0.17.7"
},
"success": true,
"data": {
"created_at": "2026-07-29T14:42:00.582911Z",
"first_discovery_id": null,
"id": "8f23ced8-1f47-457c-b549-31f1eabdb04b",
"ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
"last_discovery_id": null,
"last_seen_at": "2026-07-29T14:42:00.582911Z",
"lineage_id": null,
"network_id": "550e8400-e29b-41d4-a716-446655440002",
"port_id": "550e8400-e29b-41d4-a716-446655440006",
"service_id": "550e8400-e29b-41d4-a716-446655440007",
"type": "Port",
"updated_at": "2026-07-29T14:42:00.582911Z",
"valid_from": "2026-07-29T14:42:00.582911Z",
"valid_to": null
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.17.7"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.17.7"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Bulk delete Bindings
Previous Page
Update a Binding
Updates an existing binding. The same conflict detection rules from binding creation apply. ## Validation Rules - **Conflict detection**: The updated binding must not conflict with other bindings on the same service. Interface bindings conflict with port bindings on the same interface.